#include "io.h"
#include "lcd.h"
#include "adns2610.h"
#include <avr/pgmspace.h>

void setpixel(unsigned char c) {
	c>>=4;
	sendByteLcd(c|(c<<4));
	sendByteLcd(c);
}



int main(void) {
	unsigned char x,y,t,p;
	unsigned char line[18];
	
	initIo();
	initLcd();
	t=0;
	while(1) {
		camStartFrame();
		for (y=0; y<104; y++) {
			if ((y&3)==0) {
				for (x=0; x<18; x++) {
					line[(int)x]=camGetPixel()<<2;
				}
			}
			windowLcd(0,y,104,y);
			sendDataLcd();
			for (x=0; x<104; x++) {
				setpixel(line[(int)x/6]);
			}
		}
	}
}

